RubyGems Navigation menu

nokogiri-xmlsec-instructure 0.10.1

Adds support to Ruby for encrypting, decrypting, signing and validating the signatures of XML documents, according to the [XML Encryption Syntax and Processing](http://www.w3.org/TR/xmlenc-core/) standard, and the [XML Signature Syntax and Processing](http://www.w3.org/TR/xmldsig-core/) standard by wrapping around the [xmlsec](http://www.aleksey.com/xmlsec) C library and adding relevant methods to `Nokogiri::XML::Document`. Implementation is based off nokogiri-xmlsec by Colin MacKenzie IV with very heavy modifications.

版本列表:

  1. 0.10.1 - April 08, 2021 (26.0 KB)
  2. 0.10.0 - April 08, 2021 (26.0 KB)
  3. 0.9.7 - September 18, 2020 (26.0 KB)
  4. 0.9.6 - May 10, 2018 (25.5 KB)
  5. 0.9.5 - April 03, 2018 (25.5 KB)
显示所有 (6 个版本)

Runtime 依赖关系 (1):

  • nokogiri >= 1.11.2
  • Development 依赖关系 (7):

    所有者:

    Pushed by:

    作者:

    • Albert J. Wong, Cody Cutrer

    SHA 256 checksum:

    6d064df50906badc54ade81a7897884057815c8ba743542994a034026162e1fd

    下载总次数 527,236

    这个版本 23,561

    Gemfile:
    = 复制到剪贴板 已复制

    安装:
    =

    许可:

    MIT

    需要的 Ruby 版本: >= 0

    相关链接: